## About

The odyssey.js library is being developed to help journalists, bloggers, and other people on the web publish stories that combine narratives with maps and map interactions. The library is open source and freely available to use in your projects. It is initially being built to work with most modern browsers.

[![Build Status](https://travis-ci.org/CartoDB/odyssey.js.png)](https://travis-ci.org/CartoDB/odyssey.js)

## Goals

* Create a simple JavaScript library that links page elements to slippy map interactions
* Provide an API interface to the JavaScript library that makes use and customization easy
* Prototype and test multiple map interaction methods for storytelling
* Develop basic interface for creating new documents using the odyssey.js library

## Status

* Project launched, 23/01/2014
* Javascript library tested, 17/02/2014
* Core map actions added, 27/02/2014
* Designed/added init templates, 11/03/2014
* Added initial editor, 12/03/2014
* Added intro docs, 17/03/2014
* Documentation section, 5/06/2014
* Updated editor, 10/06/2014


## Live editor, Documentation and Examples

Jump directly into:

* [the live editor](http://cartodb.github.io/odyssey.js/index.html)
* [documentation](http://cartodb.github.io/odyssey.js/documentation) 
* [some examples](http://cartodb.github.io/odyssey.js/documentation/#the-odyssey-editor) 



## Contributing

If you are interested in helping us develop the project, see [CONTRIBUTING](CONTRIBUTING.md) for more information.

## License 

Odyssey.js is available under a [BSD 3-clause license](LICENSE)

## Support

Odyssey.js was made possible by a grant from the Knight Foundation. 
